<?php
class GClase{    

    public function lista(){
      return "SELECT id_curso_clase as id, no_curso_clase as noClase, c.id_curso as idCurso, c.no_curso as noCurso, p.id_tipo_plan as idTipoPlan, p.no_tipo_plan as noTipoPlan,
      (CASE WHEN cp.status = '1' THEN 'Activo' ELSE 'Inactivo' END) AS noStatus, cp.status
      FROM tb_curso_clase cp 
      INNER JOIN tb_curso c ON cp.id_curso = c.id_curso 
      INNER JOIN tc_tipo_plan p ON cp.id_tipo_plan = p.id_tipo_plan
      WHERE cp.STATUS = '1' AND c.id_curso  = ? 
      ORDER BY indice IS NULL, indice ASC";
    } 

    
    public function guardar(){
        return "INSERT INTO `tb_curso_clase` (`no_curso_clase`, `id_curso`, `id_tipo_plan`, `status`,`id_curso_clase`) VALUES 
        (?,?,?,'1',?)";
    }

    public function modificar(){
      return "UPDATE `tb_curso_clase` SET `no_curso_clase` = ?, `id_curso` = ?, `id_tipo_plan` = ? WHERE `id_curso_clase` = ?";     
    }  

    public function eliminar(){
      return "UPDATE tb_curso_clase SET `STATUS` = '0' WHERE id_curso_clase = ?";
    }

    public function listarTipoPlan(){
      return "SELECT id_tipo_plan as id, no_tipo_plan as noTipoPlan FROM tc_tipo_plan WHERE id_tipo_curso = ? ";
    }
    
    public function listaVideoId(){
      return "SELECT id_curso_clase as id, no_curso_clase as noVideo, c.id_curso as idCurso, c.no_curso as noCurso, p.id_tipo_plan as idTipoPlan, p.no_tipo_plan as noTipoPlan,
      cp.url_demo as urlDemo, cp.url_curso as urlVideo, (CASE WHEN cp.status = '1' THEN 'Activo' ELSE 'Inactivo' END) AS noStatus, cp.status ,
      c.de_curso as deCurso, c.url_curso as urlImagen ,  (CASE WHEN p.id_tipo_plan = 1 THEN 'l-bg-purple-dark' WHEN  p.id_tipo_plan = 2 THEN 'l-bg-red' ELSE 'l-bg-orange' END) as estilo 
      FROM tb_curso_clase cp 
      INNER JOIN tb_curso c ON cp.id_curso = c.id_curso 
      INNER JOIN tc_tipo_plan p ON cp.id_tipo_plan = p.id_tipo_plan
      INNER JOIN tb_pago_cliente pc ON cp.id_curso = pc.id_curso and cp.id_tipo_plan = pc.id_tipo_plan
      WHERE pc.id_cliente = ?";
    }
	
	
	public function listarTaller(){
      return "SELECT  id_curso_clase as id, 
                      no_curso_clase as noClase, 
                      c.id_curso as idCurso, 
                      c.no_curso as noCurso, 
                      p.id_tipo_plan as idTipoPlan, 
                      p.no_tipo_plan as noTipoPlan,
                      (CASE WHEN cp.status = '1' THEN 'Activo' ELSE 'Inactivo' END) AS noStatus, 
                      cp.status , 
                      cp.va_monto as vaCurso , 
                      cp.va_monto_dol as vaCursoDol,
                      cp.de_clase as deCurso
      FROM tb_curso_clase cp 
      INNER JOIN tb_curso c ON cp.id_curso = c.id_curso 
      INNER JOIN tc_tipo_plan p ON cp.id_tipo_plan = p.id_tipo_plan
      WHERE cp.STATUS = '1' AND c.id_tipo_curso = 2  ORDER BY 3, 1";
    }
	
	public function guardarTaller(){
        return "INSERT INTO `tb_curso_clase` (`no_curso_clase`, `id_curso`, `id_tipo_plan`, `status`,`va_monto`,`va_monto_dol`,`url_clase`,`de_clase`,`id_curso_clase`) VALUES 
        (?,64,?,'1',?,?,?,?,?)";
    }

    public function modificarTaller(){
      return "UPDATE `tb_curso_clase` SET `no_curso_clase` = ?, `id_curso` = 0, `id_tipo_plan` = ? , `va_monto` = ? , `va_monto_dol` = ? , `url_clase` = ? ,`de_clase` = ? WHERE `id_curso_clase` = ?";     
    }  

    public function actualizarIndice(){
      return "UPDATE tb_curso_clase SET indice = ? WHERE id_curso_clase = ?";
    }

}
?>